<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Diagnostics::Diag Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d23/structThread_1_1Diagnostics_1_1Diag.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="../../dd/d4c/classThread_1_1Diagnostics_1_1Diag-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Diagnostics::Diag Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Thread::Diagnostics::Diag:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/dd2/structThread_1_1Diagnostics_1_1Diag__inherit__graph.png" border="0" usemap="#Thread_1_1Diagnostics_1_1Diag_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Diagnostics_1_1Diag_inherit__map" id="Thread_1_1Diagnostics_1_1Diag_inherit__map">
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Diagnostics::Diag:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/dea/structThread_1_1Diagnostics_1_1Diag__coll__graph.png" border="0" usemap="#Thread_1_1Diagnostics_1_1Diag_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Diagnostics_1_1Diag_coll__map" id="Thread_1_1Diagnostics_1_1Diag_coll__map">
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a2e514eec20afa43658909a0bf9a4a250"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e514eec20afa43658909a0bf9a4a250"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>Init</b> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="separator:a2e514eec20afa43658909a0bf9a4a250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33e791a4b10ef8ae4e97cb0cda64c433"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33e791a4b10ef8ae4e97cb0cda64c433"></a>
static char *&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessCmd</b> (int argc, char *argv[])</td></tr>
<tr class="separator:a33e791a4b10ef8ae4e97cb0cda64c433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08d6f220e888271e9d84b69ffb9cb539"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08d6f220e888271e9d84b69ffb9cb539"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>isEnabled</b> ()</td></tr>
<tr class="separator:a08d6f220e888271e9d84b69ffb9cb539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf5492c029a9b1d661c9cc2f2b54414c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf5492c029a9b1d661c9cc2f2b54414c"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>DiagTransmitDone</b> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aRxPending, <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError)</td></tr>
<tr class="separator:adf5492c029a9b1d661c9cc2f2b54414c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bcd2513895abcd884c35372d606d718"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bcd2513895abcd884c35372d606d718"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>DiagReceiveDone</b> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a> *aFrame, <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError)</td></tr>
<tr class="separator:a9bcd2513895abcd884c35372d606d718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33d9801ef6785d832a220bd4b616b992"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33d9801ef6785d832a220bd4b616b992"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>AlarmFired</b> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="separator:a33d9801ef6785d832a220bd4b616b992"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/diag/<a class="el" href="../../d0/d76/diag__process_8cpp.html">diag_process.cpp</a></li>
<li>src/diag/<a class="el" href="../../d3/d1b/diag__process_8hpp_source.html">diag_process.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>Diagnostics</b></li><li class="navelem"><a class="el" href="../../d8/d23/structThread_1_1Diagnostics_1_1Diag.html">Diag</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
